{% extends 'base.html.twig' %}
{% block title %}{% endblock %}
{% block slider %}
{% endblock slider %}
{% block body %}

<body>

    <section class="main_sectionGarcon">
        <div class="card_Div">

           
            {% set totalPrice = 0 %}
            {% set totalQuantity = 0 %}

            {% for element in panier %}
                 {# {{ dump(element.product.id) }}   #}
            <div class="detaiCards">

                <div class="subcarddetails">
                    <a href="">
                        <div>
                            <img src="{{asset('uploads/productvariation/'~ element.picture.path)}}" alt="">
                        </div>
                    </a>
                </div>

                <div class="cartproduct">
                    <div>
                        <h1 class="productTitle">{{ element.product.subtitle }}</h1>
                    </div>
                    <div class="productdisc">
                        <span>{{ element.product.discrition }}</span>
                    </div>
                    <div class="hlJouet">
                    </div>

                    <div class="prodcolor">
                        <p>COULEUR</p>
                        <div class="cl1" style='background-color:{{element.product.colour}}'>
                        </div>
                    </div>

                   {% if element.sizeTitle %}
                    <div class="prodcolor">
                        <p>Taille</p>
                         <p>{{element.sizeTitle}}</p>
                    </div>
                    {% endif  %}
                    <div class="prodcolor">
                        <label for="qty">Qty:</label>
                        <a style="color:grey;" href="{{ path("addProduct", {id: element.product.id} )}}"><i
                                class="fa-solid fa-circle-plus"></i></a>
                        <p> {{ element.quantity }}</p>
                        <a style="color:grey;" href="{{path("remove", {id: element.product.id})}}">
                            <i class="fa-solid fa-circle-minus"></i>
                        </a>
                    </div>

                    <div class="prodprice">
                        <span>{{ element.product.price }} </span>
                        <i class="fa-solid fa-euro-sign"></i>
                    </div>
                    {% set totalPrice = totalPrice + (element.quantity * element.product.price) %}
                    {% set totalQuantity = totalQuantity + element.quantity %}

                    <div class="hlJouet"></div>
                    <a href=" {{path("delete", {id: element.product.id})}}">
                        <div class="removecart">
                            <i class="fa-regular fa-trash-can"></i>
                            <p>Supprimer</p>
                        </div>
                    </a>
                </div>

            </div>

            <div class="hlcart"></div>
            {% else %}
            <div class="card-panier">
                <h1>Votre panier est vide</h1>
            </div>
            {% endfor %}
            {% if panier %}
            <div class="totalprice">
                <h2>Quantité</h2>
                <div class="prodprice">
                    <span> {{totalQuantity}}</span>
                </div>
                <h2>TOTAL À PAYER</h2>
                <div class="prodprice">
                    <span> {{totalPrice}}</span>
                    <i class="fa-solid fa-euro-sign"></i>
                </div>
            </div>
    
            <div class="cartDiv">
                <a href="{{path("order") }}">
                    <span class="btnCart">
                        <span>VALIDER MON PANIER</span>
                    </span>
                </a>
            </div>
            {% else %}
            {% endif %}

            <div>
            </div>
        </div>
    </section>
</body>
{% endblock %}